

<VirtualHost *:443>
  ServerName portal.ensinca.net
  ServerAlias portal.ensinca.net


  DocumentRoot /var/www/html/ensinca/
  ErrorLog ${APACHE_LOG_DIR}/portal.ensinca.net-error.log
  CustomLog ${APACHE_LOG_DIR}/portal.ensinca.net-access.log combined

    <Directory "/var/www/html/ensinca/private/">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /var/www/html/ensinca/private/.htpasswd
        Require valid-user
	AllowOverride All
    </Directory>


  SSLEngine On

  # Other Apache Configuration

#  ServerAlias portal.ensinca.net
  Include /etc/letsencrypt/options-ssl-apache.conf
SSLCertificateFile /etc/letsencrypt/live/portal.ensinca.net/fullchain.pem
SSLCertificateKeyFile /etc/letsencrypt/live/portal.ensinca.net/privkey.pem
</VirtualHost>
